## qt6-3d 6.10.0

=== debian/changelog ===
qt6-3d (6.10.0-0zneon+24.04+noble+stable+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 10:02:35 +0000

qt6-3d (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:24 +1000

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-multimedia-dev (>= 6.10.0~),
               qt6-quick3d-dev (>= 6.10.0~),
               qt6-shadertools-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-3d.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-3d
Maintainer: Neon CI <neon@kde.org>

Package: qt6-3d
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt63danimation6,
          libqt63danimation6t64,
          libqt63dcore6,
          libqt63dcore6t64,
          libqt63dextras6,
          libqt63dextras6,
          libqt63dinput6,
          libqt63dlogic6,
          libqt63dquick6,
          libqt63dquickanimation6,
          libqt63dquickextras6,
          libqt63dquickinput6,
          libqt63dquickrender6,
          libqt63dquickscene2d6,
          libqt63drender6,
          qml6-module-qt3d-animation,
          qml6-module-qt3d-core,
          qml6-module-qt3d-extras,
          qml6-module-qt3d-input,
          qml6-module-qt3d-logic,
          qml6-module-qt3d-render,
          qml6-module-qt3d-scene2d,
          qt6-3d-assimpsceneimport-plugin,
          qt6-3d-defaultgeometryloader-plugin,
          qt6-3d-gltfsceneio-plugin,
          qt6-3d-scene2d-plugin
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: qt6-3d-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-3d-doc-dev, qt6-3d-examples
Description: Qt 6 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 3D library.

Package: qt6-3d-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-3d-dev, qt6-base-doc, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-3d-doc-html
Description: Qt 6 3D - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 3D library.

Package: libqt63danimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63danimation6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dcore6t64
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dlogic6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquick6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickrender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickanimation6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickextras6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickinput6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63dquickscene2d6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt63drender6
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-animation
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-core
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-extras
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-input
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-logic
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt3d-render
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene2d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-scene3d
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-dev
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-doc-html
Architecture: all
Depends: qt6-3d-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-examples
Architecture: all
Depends: qt6-3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-gltfsceneio-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-3d-scene2d-plugin
Architecture: all
Depends: qt6-3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qt3d-everywhere-src-([\d\.]+\d).tar.xz

## qt6-3d 6.10.1

=== debian/changelog ===
qt6-3d (6.10.1-0zneon+24.04+noble+stable+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 07:34:09 +0000

qt6-3d (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-multimedia-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-multimedia-dev (>= 6.10.1~),
                qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-shadertools-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-3d 6.10.2+dfsg

=== src/quick3d/quick3dextras/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3dextras.pro.

#####################################################################
## Qt::3DQuickExtras Module:
#####################################################################

qt_internal_add_qml_module(3DQuickExtras
    URI "Qt3D.Extras"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    DEPENDENCIES
        QtQuick/auto
        Qt3D.Logic/auto
        Qt3D.Render/auto
    PLUGIN_TARGET quick3dextrasplugin
    NO_GENERATE_PLUGIN_SOURCE

    CLASS_NAME Qt3DQuick3DExtrasPlugin
    SOURCES
        items/quick3dlevelofdetailloader.cpp items/quick3dlevelofdetailloader_p.h
        items/quick3dlevelofdetailloader_p_p.h
        items/quick3dspritesheet.cpp items/quick3dspritesheet_p.h
        qt3dquickextras_global.cpp qt3dquickextras_global.h qt3dquickextras_global_p.h
        qt3dquickextrasnodefactory.cpp qt3dquickextrasnodefactory_p.h
        qt3dquickwindow.cpp qt3dquickwindow.h qt3dquickwindow_p.h
        qt3dquickwindowlogging.cpp qt3dquickwindowlogging_p.h
        qt3dquick3dextrasforeign_p.h
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DExtrasPrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DLogic
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DExtrasPrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:quick3dextras.pro:<TRUE>:
# MODULE = "3DQuickExtras"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuickExtras CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

qt_internal_extend_target(quick3dextrasplugin
    SOURCES
        qt3dquick3dextrasplugin.cpp qt3dquick3dextrasplugin_p.h
    LIBRARIES
        Qt::3DQuickExtrasPrivate
)

=== debian/changelog ===
qt6-3d (6.10.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update build-deps and deps with the info from cmake and add patch
    for assimp.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Feb 2026 21:55:11 +0100

=== debian/control ===
Source: qt6-3d
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libassimp-dev (>= 5.4.3~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-multimedia-dev (>= 6.10.2~),
               qt6-shadertools-dev (>= 6.10.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63dquickscene3d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt63dquickanimation6,
Replaces: libqt63dquickanimation6,
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt63dquickinput6,
Replaces: libqt63dquickinput6,
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: libqt63dquickrender6,
Replaces: libqt63dquickrender6,
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickscene2d6 (= ${binary:Version}),
         libqt63dquickscene3d6 (= ${binary:Version}),
         libqt63drender6 (= ${binary:Version}),
         qml6-module-qt3d-animation (= ${binary:Version}),
         qml6-module-qt3d-core (= ${binary:Version}),
         qml6-module-qt3d-extras (= ${binary:Version}),
         qml6-module-qt3d-input (= ${binary:Version}),
         qml6-module-qt3d-logic (= ${binary:Version}),
         qml6-module-qt3d-render (= ${binary:Version}),
         qml6-module-qtquick-scene2d (= ${binary:Version}),
         qml6-module-qtquick-scene3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 3D - development files

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qt3d-everywhere-src-(.*)\.tar\.xz
Dversionmangle: s/\+dfsg//
Repacksuffix: +dfsg
Uversionmangle: s/-/~/
